PHPExcel_Chart_Legend

category | PHPExcel
package | PHPExcel_Chart
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart_Legend

    __construct($position, \PHPExcel_Chart_Layout $layout, $overlay)

### Parameters

#### $position

#### $layout

#### $overlay

## Get Layout

    getLayout() : \PHPExcel_Chart_Layout

### Returns

`\PHPExcel_Chart_Layout`

## Get allow overlay of other elements?

    getOverlay() : boolean

### Returns

`boolean`

## Get legend position as an excel string value

    getPosition() : string

### Returns

`string`

## Get legend position as an Excel internal numeric value

    getPositionXL() : \number

### Returns

`\number`

## Set allow overlay of other elements?

    setOverlay(boolean $overlay) : boolean

### Parameters

#### $overlay

`boolean`

### Returns

`boolean`

## Get legend position using an excel string value

    setPosition(string $position)

### Parameters

#### $position

`string`

## Set legend position using an Excel internal numeric value

    setPositionXL(\number $positionXL)

### Parameters

#### $positionXL

`\number`

### Properties

##

    $_layout : \PHPExcel_Chart_Layout

##

    $_overlay : boolean

##

    $_position : string

##

    $_positionXLref

### Constants

## POSITION_BOTTOM

    POSITION_BOTTOM

## POSITION_LEFT

    POSITION_LEFT

## POSITION_RIGHT

    POSITION_RIGHT

## POSITION_TOP

    POSITION_TOP

## POSITION_TOPRIGHT

    POSITION_TOPRIGHT

## Legend positions

    xlLegendPositionBottom

## xlLegendPositionCorner

    xlLegendPositionCorner

## xlLegendPositionCustom

    xlLegendPositionCustom

## xlLegendPositionLeft

    xlLegendPositionLeft

## xlLegendPositionRight

    xlLegendPositionRight

## xlLegendPositionTop

    xlLegendPositionTop